function pfocus(id){
    sm.SetSelected(id);
    return;
    if(id != 'p1r_pane'){
        document.getElementById('p1r_pane').style.display = 'none';
    }
    for(i=1;i<20;i++){
        var tag = 'p1s'+i+'_pane';
        if(tag == id){continue;}
        var element = document.getElementById(tag);
        if(element){
            document.getElementById(tag).style.display = 'none';
           }
            
    }
    document.getElementById(id+"_pane").style.display = 'block';  
}